import type { Location } from "history";
import type { SelectedTabId } from "@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/store";
export declare function parseSlug({ location }: {
    location: Location;
}): string | undefined;
export declare function getSlug({ tabId, name, }: {
    tabId: SelectedTabId;
    name: string | undefined;
}): string;
export declare function useSyncURLSlug({ location }: {
    location: Location;
}): void;
